com.fasterxml.jackson.databind.introspect

## Class MemberKey

- java.lang.Object
- - com.fasterxml.jackson.databind.introspect.MemberKey

-     public final class MemberKey
      extends java.lang.Object

  Helper class needed to be able to efficiently access class member functions (`Method`s and `Constructor`s) in `Map`s.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemberKey(java.lang.reflect.Constructor<?> ctor)`
    `MemberKey(java.lang.reflect.Method m)`
    `MemberKey(java.lang.String name, java.lang.Class<?>[] argTypes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MemberKey

          public MemberKey(java.lang.reflect.Method m)

    - #### MemberKey

          public MemberKey(java.lang.reflect.Constructor<?> ctor)

    - #### MemberKey

          public MemberKey(java.lang.String name,
                   java.lang.Class<?>[] argTypes)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`